Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 934361 - KDE Gear 24.05.1 (KF6-based) and friends keywordreq
Summary: KDE Gear 24.05.1 (KF6-based) and friends keywordreq
Status: IN_PROGRESS
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on: 934215 906392 924507 926456 926482 932499 934066 934758 934760 935014 935301
Blocks:
  Show dependency tree
 
Reported: 2024-06-15 11:50 UTC by Andreas Sturmlechner
Modified: 2024-07-21 16:42 UTC (History)
7 users (show)

See Also:
Package list:
>=kde-apps/baloo-widgets-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/dolphin-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/kate-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/kate-addons-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/kate-lib-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/kde-apps-meta-24.05.1 arm64 x86 >=kde-apps/kdecore-meta-24.05.1 arm64 loong ppc64 x86 >=kde-apps/konsole-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/kwrite-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/kdialog-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/keditbookmarks-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/kfind-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/konqueror-24.05.1 arm64 >=www-client/falkon-24.05.1 arm64 >=app-accessibility/kontrast-24.05.1 arm64 riscv x86 >=dev-db/futuresql-0.1.1 arm64 riscv x86 >=kde-apps/kdeaccessibility-meta-24.05.1 arm64 riscv x86 >=kde-apps/kmag-24.05.1 arm64 riscv x86 >=kde-apps/kmousetool-24.05.1 arm64 riscv x86 >=kde-apps/kmouth-24.05.1 arm64 riscv x86 >=kde-apps/kdeadmin-meta-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/kcron-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/ksystemlog-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/analitza-24.05.1 arm64 riscv x86 >=kde-apps/blinken-24.05.1 arm64 riscv x86 >=kde-apps/kalgebra-24.05.1 arm64 >=kde-apps/kanagram-24.05.1 arm64 riscv x86 >=kde-apps/kbruch-24.05.1 arm64 riscv x86 >=kde-apps/kdeedu-data-24.05.1 arm64 riscv x86 >=kde-apps/kdeedu-meta-24.05.1 arm64 x86 >=kde-apps/kgeography-24.05.1 arm64 riscv x86 >=kde-apps/khangman-24.05.1 arm64 riscv x86 >=kde-apps/kiten-24.05.1 arm64 riscv x86 >=kde-apps/klettres-24.05.1 arm64 riscv x86 >=kde-apps/kturtle-24.05.1 arm64 riscv x86 >=kde-apps/kwordquiz-24.05.1 arm64 riscv x86 >=kde-apps/libkeduvocdocument-24.05.1 arm64 riscv x86 >=kde-apps/parley-24.05.1 arm64 x86 >=kde-apps/bomber-24.05.1 arm64 loong riscv x86 >=kde-apps/bovo-24.05.1 arm64 loong riscv x86 >=kde-apps/granatier-24.05.1 arm64 loong riscv x86 >=kde-apps/kajongg-24.05.1 arm64 loong riscv x86 >=kde-apps/kapman-24.05.1 arm64 loong riscv x86 >=kde-apps/katomic-24.05.1 arm64 loong riscv x86 >=kde-apps/kblackbox-24.05.1 arm64 loong riscv x86 >=kde-apps/kblocks-24.05.1 arm64 loong riscv x86 >=kde-apps/kbounce-24.05.1 arm64 loong riscv x86 >=kde-apps/kbreakout-24.05.1 arm64 loong riscv x86 >=kde-apps/kdegames-meta-24.05.1 arm64 loong riscv x86 >=games-puzzle/skladnik-24.05.1 arm64 loong riscv x86 >=kde-apps/kdiamond-24.05.1 arm64 loong riscv x86 >=kde-apps/kfourinline-24.05.1 arm64 loong riscv x86 >=kde-apps/kgoldrunner-24.05.1 arm64 loong riscv x86 >=kde-apps/kigo-24.05.1 arm64 loong riscv x86 >=kde-apps/killbots-24.05.1 arm64 loong riscv x86 >=kde-apps/kiriki-24.05.1 arm64 loong riscv x86 >=kde-apps/kjumpingcube-24.05.1 arm64 loong riscv x86 >=kde-apps/klickety-24.05.1 arm64 loong riscv x86 >=kde-apps/klines-24.05.1 arm64 loong riscv x86 >=kde-apps/kmahjongg-24.05.1 arm64 loong riscv x86 >=kde-apps/kmines-24.05.1 arm64 loong riscv x86 >=kde-apps/knavalbattle-24.05.1 arm64 loong riscv x86 >=kde-apps/knetwalk-24.05.1 arm64 loong riscv x86 >=kde-apps/knights-24.05.1 arm64 loong riscv x86 >=kde-apps/kolf-24.05.1 arm64 loong riscv x86 >=kde-apps/kollision-24.05.1 arm64 loong riscv x86 >=kde-apps/konquest-24.05.1 arm64 loong riscv x86 >=kde-apps/kpat-24.05.1 arm64 loong riscv x86 >=kde-apps/kreversi-24.05.1 arm64 loong riscv x86 >=kde-apps/kshisen-24.05.1 arm64 loong riscv x86 >=kde-apps/ksirk-24.05.1 arm64 loong riscv x86 >=kde-apps/ksnakeduel-24.05.1 arm64 loong riscv x86 >=kde-apps/kspaceduel-24.05.1 arm64 loong riscv x86 >=kde-apps/ksquares-24.05.1 arm64 loong riscv x86 >=kde-apps/ksudoku-24.05.1 arm64 loong riscv x86 >=kde-apps/ktuberling-24.05.1 arm64 loong riscv x86 >=kde-apps/kubrick-24.05.1 arm64 loong riscv x86 >=kde-apps/libkdegames-24.05.1 arm64 loong riscv x86 >=kde-apps/libkmahjongg-24.05.1 arm64 loong riscv x86 >=kde-apps/lskat-24.05.1 arm64 loong riscv x86 >=kde-apps/palapeli-24.05.1 arm64 loong riscv x86 >=kde-apps/picmi-24.05.1 arm64 loong riscv x86 >=kde-apps/gwenview-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/kamera-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/kcolorchooser-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/kdegraphics-meta-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/kolourpaint-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/kruler-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/libkdcraw-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/libkexiv2-24.05.1 >=kde-apps/libksane-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/okular-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/spectacle-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/svgpart-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/thumbnailers-24.05.1 arm64 loong ppc64 riscv x86 >=kde-misc/colord-kde-24.05.1 arm64 ppc64 riscv x86 >=media-gfx/skanpage-24.05.1 arm64 >=media-libs/ksanecore-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/audiocd-kio-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/dragon-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/ffmpegthumbs-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/juk-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/kdemultimedia-meta-24.05.1 arm64 ppc64 riscv x86 >=media-sound/audex-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/kdenlive-24.05.1-r1 arm64 ppc64 riscv x86 >=kde-apps/libkcddb-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/libkcompactdisc-24.05.1 arm64 ppc64 riscv x86 >=media-sound/elisa-24.05.1 arm64 ppc64 riscv x86 >=media-sound/kasts-24.05.1 arm64 loong ppc64 riscv x86 >=media-sound/krecorder-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/dolphin-plugins-dropbox-24.05.1 x86 >=kde-apps/kdenetwork-meta-24.05.1 arm64 ppc64 x86 >=kde-apps/kdenetwork-filesharing-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/kget-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/krfb-24.05.1 arm64 ppc64 riscv x86 >=kde-misc/kdeconnect-24.05.1 arm64 ppc64 x86 >=kde-misc/kio-gdrive-24.05.1 arm64 >=net-im/neochat-24.05.1 arm64 >=net-im/tokodon-24.05.1-r1 arm64 ppc64 x86 >=media-libs/mpvqt-1.0.0 arm64 ppc64 x86 >=net-irc/konversation-24.05.1 arm64 ppc64 riscv x86 >=net-libs/libktorrent-24.05.1 arm64 ppc64 riscv x86 >=net-misc/kio-zeroconf-24.05.1 arm64 ppc64 x86 >=net-news/alligator-24.05.1 arm64 ppc64 x86 >=net-p2p/ktorrent-24.05.1 arm64 ppc64 x86 >=app-office/merkuro-24.05.1 arm64 >=dev-libs/kopeninghours-24.05.1 arm64 >=dev-libs/kosmindoormap-24.05.1 arm64 >=dev-libs/kpublictransport-24.05.1 arm64 >=kde-apps/akonadi-24.05.1 arm64 >=kde-apps/akonadi-calendar-24.05.1 arm64 >=kde-apps/akonadi-contacts-24.05.1 arm64 >=kde-apps/akonadi-import-wizard-24.05.1 arm64 >=kde-apps/akonadi-mime-24.05.1 arm64 >=kde-apps/akonadi-notes-24.05.1 arm64 >=kde-apps/akonadi-search-24.05.1 arm64 >=kde-apps/akonadiconsole-24.05.1 arm64 >=kde-apps/akregator-24.05.1 arm64 >=kde-apps/calendarjanitor-24.05.1 arm64 >=kde-apps/calendarsupport-24.05.1 arm64 >=kde-apps/eventviews-24.05.1 arm64 >=kde-apps/grantlee-editor-24.05.1 arm64 >=kde-apps/grantleetheme-24.05.1 arm64 >=kde-apps/incidenceeditor-24.05.1 arm64 >=kde-apps/kaddressbook-24.05.1 arm64 >=kde-apps/kalarm-24.05.1 arm64 >=kde-apps/kcalutils-24.05.1 arm64 >=kde-apps/kdepim-addons-24.05.1 arm64 >=kde-apps/kdepim-meta-24.05.1 arm64 >=dev-libs/ktextaddons-1.5.4 arm64 >=kde-apps/kdepim-runtime-24.05.1 arm64 >=kde-apps/kidentitymanagement-24.05.1 arm64 >=kde-apps/kimap-24.05.1 arm64 >=kde-apps/kitinerary-24.05.1 arm64 >=kde-apps/kldap-24.05.1 arm64 >=kde-apps/kleopatra-24.05.1-r1 arm64 >=kde-apps/kmail-24.05.1 arm64 >=kde-apps/kmail-account-wizard-24.05.1 arm64 >=kde-apps/kmailtransport-24.05.1 arm64 >=kde-apps/kmbox-24.05.1 arm64 >=kde-apps/kmime-24.05.1 arm64 >=kde-apps/knotes-24.05.1 arm64 >=kde-apps/konsolekalendar-24.05.1 arm64 >=kde-apps/kontact-24.05.1 arm64 >=kde-apps/kontactinterface-24.05.1 arm64 >=kde-apps/korganizer-24.05.1 arm64 >=kde-apps/kpimtextedit-24.05.1 arm64 >=kde-apps/kpkpass-24.05.1 arm64 >=kde-apps/ksmtp-24.05.1 arm64 >=kde-apps/libgravatar-24.05.1 arm64 >=kde-apps/libkdepim-24.05.1 arm64 >=kde-apps/libkgapi-24.05.1 arm64 >=kde-apps/libkleo-24.05.1 arm64 >=kde-apps/libksieve-24.05.1 arm64 >=kde-apps/libktnef-24.05.1 arm64 >=kde-apps/mailcommon-24.05.1 arm64 >=kde-apps/mailimporter-24.05.1 arm64 >=kde-apps/mbox-importer-24.05.1 arm64 >=kde-apps/messagelib-24.05.1 arm64 >=kde-apps/mimetreeparser-24.05.1 arm64 >=kde-apps/pim-data-exporter-24.05.1 arm64 >=kde-apps/pim-sieve-editor-24.05.1 arm64 >=kde-apps/pimcommon-24.05.1 arm64 >=kde-misc/zanshin-24.05.1 arm64 >=dev-util/kio-perldoc-24.05.1 arm64 riscv x86 >=kde-apps/dolphin-plugins-git-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/dolphin-plugins-mercurial-24.05.1 arm64 riscv x86 >=kde-apps/dolphin-plugins-subversion-24.05.1 arm64 riscv x86 >=kde-apps/kapptemplate-24.05.1 arm64 ppc64 riscv x86 >=kde-apps/kcachegrind-24.05.1 arm64 riscv x86 >=kde-apps/kde-dev-utils-24.05.1 arm64 riscv x86 >=kde-apps/kdesdk-meta-24.05.1 arm64 x86 >=app-cdr/dolphin-plugins-mountiso-24.05.1 arm64 loong ppc64 x86 >=app-crypt/keysmith-24.05.1 arm64 loong ppc64 x86 >=app-editors/ghostwriter-24.05.1 arm64 >=kde-apps/ark-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/filelight-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/kbackup-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/kcalc-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/kcharselect-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/kdebugsettings-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/kdeutils-meta-24.05.1 arm64 loong ppc64 x86 >=app-cdr/isoimagewriter-24.05.1 arm64 loong ppc64 x86 >=kde-apps/kdf-24.05.1-r1 arm64 loong ppc64 riscv x86 >=kde-apps/kgpg-24.05.1 arm64 >=kde-apps/kteatime-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/ktimer-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/kwalletmanager-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/sweeper-24.05.1 arm64 loong ppc64 riscv x86 >=kde-apps/yakuake-24.05.1 arm64 loong ppc64 riscv x86 >=kde-misc/kclock-24.05.1 arm64 loong ppc64 x86 >=kde-misc/kweather-24.05.1 arm64 loong ppc64 x86 >=kde-misc/markdownpart-24.05.1 arm64 loong ppc64 x86 >=sys-block/partitionmanager-24.05.1 arm arm64 loong ppc64 x86 >=sys-libs/kpmcore-24.05.1 arm arm64 loong ppc64 x86 >=kde-misc/kio-gdrive-23.08.5-r1 arm64 >=kde-misc/plasma-pass-1.2.2 ppc64 riscv >=kde-misc/kdiff3-1.11.2 arm64 ppc64 x86 >=app-editors/kile-2.9.94 arm64 riscv x86 >=dev-libs/kdiagram-3.0.1 arm64 ppc64 riscv x86 >=dev-libs/kweathercore-0.8.0 arm64 loong ppc64 x86 >=dev-util/massif-visualizer-0.8.0 arm64 >=media-gfx/kgraphviewer-2.5.0 arm64 x86 >=media-libs/kquickimageeditor-0.3.0-r100 arm64 ppc64 riscv x86 >=net-misc/smb4k-3.2.72 arm64 riscv x86 >=app-backup/kup-0.10.0 arm64 >=kde-misc/kshutdown-5.92 x86
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2024-06-15 11:50:50 UTC
In preparation.
Comment 1 NATTkA bot gentoo-dev 2024-06-15 11:52:11 UTC Comment hidden (obsolete)
Comment 2 NATTkA bot gentoo-dev 2024-06-15 11:56:21 UTC Comment hidden (obsolete)
Comment 3 NATTkA bot gentoo-dev 2024-06-15 12:00:10 UTC Comment hidden (obsolete)
Comment 4 Andreas Sturmlechner gentoo-dev 2024-06-16 19:45:42 UTC
Restricting all of KDE PIM to arm64.
Comment 5 NATTkA bot gentoo-dev 2024-06-16 19:48:18 UTC Comment hidden (obsolete)
Comment 6 NATTkA bot gentoo-dev 2024-06-20 20:20:23 UTC Comment hidden (obsolete)
Comment 7 NATTkA bot gentoo-dev 2024-06-20 20:28:20 UTC Comment hidden (obsolete)
Comment 8 NATTkA bot gentoo-dev 2024-06-23 01:52:13 UTC Comment hidden (obsolete)
Comment 9 NATTkA bot gentoo-dev 2024-06-23 07:13:10 UTC Comment hidden (obsolete)
Comment 10 NATTkA bot gentoo-dev 2024-06-23 07:33:06 UTC Comment hidden (obsolete)
Comment 11 NATTkA bot gentoo-dev 2024-06-23 07:41:28 UTC Comment hidden (obsolete)
Comment 12 NATTkA bot gentoo-dev 2024-06-23 07:49:32 UTC Comment hidden (obsolete)
Comment 13 Larry the Git Cow gentoo-dev 2024-06-23 07:54:39 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99f23af3fae407e07cd91b11cc280636d0b4d5a5

commit 99f23af3fae407e07cd91b11cc280636d0b4d5a5
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2024-06-23 07:51:15 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2024-06-23 07:54:16 +0000

    profiles: arch: Mask all kde-apps/kdeutils-meta[gpg] except amd64/arm64
    
    >=kde-apps/kgpg-24.05.1 and the KDE PIM (akonadi) stack will only be
    keyworded where dev-qt/qtwebengine is available.
    
    Bug: https://bugs.gentoo.org/934361
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 profiles/arch/amd64/package.use.mask | 4 ++++
 profiles/arch/arm64/package.use.mask | 4 ++++
 profiles/arch/base/package.use.mask  | 6 ++++++
 3 files changed, 14 insertions(+)
Comment 14 Andreas Sturmlechner gentoo-dev 2024-06-23 09:48:27 UTC
Dropped ~arm from net-libs/libktorrent as there were no revdeps.
Comment 15 Andreas Sturmlechner gentoo-dev 2024-06-23 09:51:49 UTC
Also un-CCing arm right now.

Only these packages seem to be affected:
sys-libs/kpmcore
sys-block/partitionmanager
kde-apps/libkexiv2
Comment 16 NATTkA bot gentoo-dev 2024-06-23 09:53:10 UTC Comment hidden (obsolete)
Comment 17 NATTkA bot gentoo-dev 2024-06-23 10:05:03 UTC Comment hidden (obsolete)
Comment 18 Andreas Sturmlechner gentoo-dev 2024-06-23 10:55:29 UTC
adding bug ref re partitionmanager.

kde-apps/libkexiv2 only has kde-plasma/plasma-workspace:5 and kde-apps/kio-extras:5 as revdeps, can be easily dropped.
Comment 19 NATTkA bot gentoo-dev 2024-06-23 17:44:13 UTC Comment hidden (obsolete)
Comment 20 NATTkA bot gentoo-dev 2024-06-23 18:28:51 UTC Comment hidden (obsolete)
Comment 21 NATTkA bot gentoo-dev 2024-06-27 09:48:59 UTC Comment hidden (obsolete)
Comment 22 NATTkA bot gentoo-dev 2024-06-27 09:52:34 UTC Comment hidden (obsolete)
Comment 23 NATTkA bot gentoo-dev 2024-06-27 10:01:04 UTC Comment hidden (obsolete)
Comment 24 Andreas Sturmlechner gentoo-dev 2024-06-29 18:10:43 UTC
Adding >=kde-misc/kshutdown-5.92
Comment 25 Andreas Sturmlechner gentoo-dev 2024-07-01 21:07:32 UTC
Dropping:
kde-apps/kaccounts-providers-24.05.1
kde-apps/signon-kwallet-extension-24.05.1

Moved to bug 935301 after dependency re-shuffle.
Comment 26 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2024-07-02 11:29:47 UTC
arm64 done
Comment 27 Jakov Smolić archtester gentoo-dev 2024-07-06 13:21:16 UTC
riscv done
Comment 28 NATTkA bot gentoo-dev 2024-07-12 15:26:52 UTC Comment hidden (obsolete)
Comment 29 NATTkA bot gentoo-dev 2024-07-12 15:31:00 UTC
All sanity-check issues have been resolved
Comment 30 Andreas Sturmlechner gentoo-dev 2024-07-21 11:25:43 UTC
Any issues with x86 keywording?
Comment 31 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2024-07-21 16:42:56 UTC
x86 done